Subject: [lamps] 2nd AD Review: draft-ietf-lamps-hash-of-root-key-cert-extn-05

From: Roman Danyliw <[email-masked]>
Date: Mon, 20 May 2019 15:10:05 +0000

Hi!

Thanks for iteration and improvements from IETF LC discussion.  I'm pick-up this draft from the AD hand-off (and did another review despite being in the "Waiting for Writeup" state).   It is in good shape.  I have the following nits:

(1) (Editorial Nit) Section 1.2.  "Generated" doesn't seem like the right word to describe a formal notation/syntax for a certificate.

(2) Section 3.  Per "The definition of EXTENSION and HashAlgorithm can be found in [RFC5912]", HashAlgorithm isn't referenced in the ASN.1 syntax.  I believe it should be s/HashAlgorithm/AlgorithmIdentifier/.

I'm advancing the draft to IESG Evaluation.

Roman

---

From: Russ Housley <[email-masked]>
Date: Mon, 20 May 2019 15:25:47 -0400

I am pleased to fix these.  I'll wait for any other comments from the IESG Evaluation.

Russ

> On May 20, 2019, at 11:10 AM, Roman Danyliw <[email-masked]> wrote:
> 
> Hi!
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm

---

From: Russ Housley <[email-masked]>
Date: Tue, 21 May 2019 16:45:50 -0400

Roman:

I have made these changes in my edit buffer.  Let me know if they do not resolve your concerns.

> (1) (Editorial Nit) Section 1.2.  "Generated" doesn't seem like the right word to describe a formal notation/syntax for a certificate.

   Certificates [RFC5280] use ASN.1 [X680]; certificates are always
   encoded with the Distinguished Encoding Rules (DER) [X690].

> (2) Section 3.  Per "The definition of EXTENSION and HashAlgorithm can be found in [RFC5912]", HashAlgorithm isn't referenced in the ASN.1 syntax.  I believe it should be s/HashAlgorithm/AlgorithmI…

I chose to fix it in another way.  RFC 5912 also has a definition of HashAlgorithm, which is an AlgorithmIdentifier that is constrained to the set of DIGEST-ALGORITHMs:

   HashAlgorithm  ::=  AlgorithmIdentifier{DIGEST-ALGORITHM,
                           {HashAlgorithms}}

The bits on the wire do not change with this approach.

The ASN.1 in this document becomes:

   ext-HashOfRootKey EXTENSION ::= {    -- Only in Root CA certificates
      SYNTAX         HashedRootKey
      IDENTIFIED BY  id-ce-hashOfRootKey
      CRITICALITY    {FALSE} }

   HashedRootKey ::= SEQUENCE {
      hashAlg        HashAlgorithm,        -- Hash algorithm used
      hashValue      OCTET STRING }        -- Hash of DER-encoded
                                           --   SubjectPublicKeyInfo

   id-ce-hashOfRootKey  ::=  OBJECT IDENTIFIER { 1 3 6 1 4 1 51483 2 1 }

Russ